# -*- coding: utf-8 -*-
"""Test various MDBObject functionalities."""
from micado.main.commonwrapper import Env

from micado.dataitems.Dark import Dark
from micado.dataitems.MasterDark import MasterDark
from micado.hardware.Detector import Detector


def test_getraw():
    """Test getting raw dataproducts."""
    Env["use_python_logging"] = True

    assert MasterDark.get_raw_attr_class() == ("raw", Dark)
    assert Dark.get_raw_class() == Dark
    assert Detector.get_raw_attr_class() == (None, None)
