# -*- coding: utf-8 -*-
"""Tests for ditaa_from_wise.py."""
# TODO: Create more unittest-like tests.
from pathlib import Path

from micado.dataitems.Detrend import Detrend
from micado.toolbox.ditaa_from_wise import ditaa_from_wise

PATH_HERE = Path(__file__).resolve().parent


def test_detrend():
    """Test whether the diagram for a Detrend is properly generated."""
    # This file is copied from docs/source/generated.
    ditaa_expected = open(PATH_HERE / f"{Detrend.__name__}.ditaa").read()
    ditaa_generated = "\n".join(ditaa_from_wise(Detrend).lines)
    assert ditaa_expected.strip() == ditaa_generated.strip()
